Subject: Re: [RFC PATCH] x86: create drivers/x86/ from drivers/misc/

From: Sam Ravnborg <[email-masked]>
Date: Sat, 29 Nov 2008 08:23:21 +0100

> 
> I followed the example of drivers/s390/,
> per Linus' suggestion.

And in s390 we have:

block/
char/
cio/
crypto/
ebcdic.c
kvm/
Makefile
net/
s390mach.c
s390mach.h
s390_rdev.c
scsi/
sysinfo.c

So we end up with block drivers in drivers/block AND drivers/s390/block
This is the wrong way to divide up things.

find -name arm
./net/arm
./scsi/arm

find -name cris
./net/cris

find -name x86
./lguest/x86

See above. I have all net drivers under drivers/net/ and for 
arm and cris they have their own subdirectory.
Except for s390 where I have to go finding them in other places.

> The other place that seemed to suggest itself was
> arch/x86/drivers/, as we already have:
> 
> arch/um/drivers/
> arch/sh/drivers/
> arch/cris/*/drivers/

The approach has been for a long time to move away from
storing drivers under arch/*/drivers and cris is slowly
moving their drivers.
I dunno about um and sh.

	Sam